> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Deactivate Users

> Deactivate multiple users across all orgs; reports per-user outcomes.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /admin/users/bulk-deactivate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /admin/users/bulk-deactivate:
    post:
      tags:
        - admin-users
      summary: Bulk Deactivate Users
      description: Deactivate multiple users across all orgs; reports per-user outcomes.
      operationId: bulk_deactivate_users_admin_users_bulk_deactivate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDeactivateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DeactivateUserResponse'
                type: array
                title: >-
                  Response Bulk Deactivate Users Admin Users Bulk Deactivate
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BulkDeactivateRequest:
      properties:
        user_ids:
          items:
            type: string
          type: array
          minItems: 1
          title: User Ids
      type: object
      required:
        - user_ids
      title: BulkDeactivateRequest
    DeactivateUserResponse:
      properties:
        user_id:
          type: string
          title: User Id
        status:
          type: string
          title: Status
        deactivated_count:
          type: integer
          title: Deactivated Count
          default: 0
        organizations:
          items:
            $ref: '#/components/schemas/AdminUserOrgMembership'
          type: array
          title: Organizations
        deactivated_organization_ids:
          items:
            type: string
          type: array
          title: Deactivated Organization Ids
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - user_id
        - status
      title: DeactivateUserResponse
      description: Per-user summary returned by single and bulk deactivation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AdminUserOrgMembership:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        deactivated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deactivated At
      type: object
      required:
        - id
        - name
      title: AdminUserOrgMembership
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````